interface EntityRecord {
    type: string;
    value: string;
    canonical: string;
    name: string;
}
interface ParameterRecord {
    preprocessed: string;
    value: string;
    weight: number;
}
export default class FileParameterProvider {
    private _filename;
    private _paramLocale;
    private _dirname;
    private _paths;
    private _loaded;
    constructor(filename: string, paramLocale: string);
    open(): Promise<void>;
    close(): Promise<void>;
    private _getStrings;
    private _getEntities;
    getEntity(stringType: string): Promise<EntityRecord[]>;
    get(valueListType: 'string' | 'entity', valueListName: string): Promise<ParameterRecord[]>;
}
export {};
